Bug 526325 - emacs+mock+libidn hangs
Summary: emacs+mock+libidn hangs
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Karel Klíč
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-29 20:06 UTC by Carl Roth
Modified: 2013-03-03 22:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:50:59 UTC


Attachments (Terms of Use)

Description Carl Roth 2009-09-29 20:06:41 UTC
Description of problem:

I'm trying to build some emacs-lisp add-on packages using mock.  The latest emacs version is not able to byte-compile files; the emacs process hangs when it's invoking functions in libidn.  The same libidn functions work fine outside of emacs in the same chroot  The same emacs/libidn functions work fine outside of the chroot.

Version-Release number of selected component (if applicable):

emacs-23.1-4.fc11.x86_64
libidn-1.9-4.x86_64

How reproducible:

always

Steps to Reproduce:
1. build a chroot with mock
2. test libidn functionality with cli

    $ mock -r fedora-11-x86_64 --no-clean --shell
    > echo "foo" | idna --quiet --idna-to-ascii
    "foo"

3. test libidn functionality with emacs

    $ mock -r fedora-11-x86_64 --no-clean --shell
    > emacs -q --no-site-file
    ... switch to '*scratch*' buffer ...
    Enter elisp:

      (require 'idna)
      "t"

      (idna-to-ascii "foo")
      ... should return "foo", but hangs instead ...
   
Actual results:


Expected results:


Additional info:

The emacs process seems to hang in idna.el in 'accept-process-output'.  I see that the idna system is initialized in gnus/message.el, and can be otherwise disabled with

  (setq message-use-idna nil)

(enter this before byte-compiling any files)

Emacs also does wierd things in shell-mode inside of the chroot, it complains that it can't do job control.

Comment 1 Bug Zapper 2010-04-28 10:37:02 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-06-28 14:50:59 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.